<?php

namespace App\Http\Middleware;

use Closure;

class SuperadminMiddleware
{
    public function handle($request, Closure $next)
    {
        if ($request->user() && $request->user()->role === 'superadmin') {
            return $next($request);
        }

        return abort(403, 'Unauthorized.');
    }
}
