@extends('layouts.crusher')
@section('content')



    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="card-title mb-4 titlcust">Terms & Conditions / Sales Invoice
                                Voucher</h6>
                        </div>
                        <div class="col-md-6">
                            <a href="{{url('term_condition/sale_invoice/create')}}">
                                <button class="btn btn-cust1 float-right" type="submit">Create Terms &
                                    Conditions
                                </button>
                            </a>
                        </div>
                    </div>

                    <div class="table-responsive mb-0" data-pattern="priority-columns">
                        <table id="datatable" class="table table-bordered nowrap table-striped"
                            style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                            <thead>
                                <tr>
                                    <th>Terms & Conditions</th>
                                    <th>Action</th>
                                </tr>
                            </thead>

                            <tbody>
                                @foreach ($tc_sale_invoices as $tc_sale_invoice)
                                <tr>
                                    <td>{{$tc_sale_invoice->terms_and_conditions}}</td>
                                    <td>
                                            <a href="{{url("term_condition/sale_invoice/view/$tc_sale_invoice->id")}}">
                                                <i class="far fa-eye cust-icon2"></i></a>

                                            <a href="{{url("term_condition/sale_invoice/edit/$tc_sale_invoice->id")}}">
                                                <i class="far fa-edit cust-icon2"></i></a>

                                            <a href="">
                                                <i class="far fa-window-close cust-icon2"></i></a>
                                    </td>
                                </tr>
                                @endforeach
                               
                            </tbody>
                        </table>
                    </div>



                </div>
            </div>
        </div>
    </div>
</div>
<!-- end row -->


@endsection
