@if(isset($salesInvoice))
    <h1>Account</h1>
    <h2>{{ $salesInvoice->account->account_name }}</h2>
    <p>Account Number: {{ $salesInvoice->account->account_number }}</p>
    <p>Contact Person: {{ $salesInvoice->account->contact_person }}</p>
    <!-- Add more account details as needed -->
@else
    <!-- Display the list of sales invoices here -->
    <table>
        <thead>
            <tr>
                <th>Invoice Number</th>
                <!-- Add more table headers as needed -->
            </tr>
        </thead>
        <tbody>
            @foreach($salesInvoice as $invoice)
                <tr>
                    <td>{{ $invoice->invoice_no }}</td>
                    <!-- Add more table data as needed -->
                    <td><a href="{{ route('sales-invoice.view', ['adminSalesInvoice' => $invoice->id]) }}">View</a></td>
                </tr>
            @endforeach
        </tbody>
    </table>
@endif
