
<?php $__env->startSection('content'); ?>


    <div class="row">
        <div class="col-md-12">
            <div class="row mt-4 mb-2">
                <div class="col-sm-6">
                    <h6 class="card-title mb-4 titlcust">Purchase Invoice
                    </h6>
                </div>
                <div class="col-sm-6">
                    <a href="">
                        <button class="btn btn-outline-primary float-right cust-btn1" onclick="printPageArea('printableArea')"
                            type="submit">Print Document
                        </button>
                    </a>
                    <a href="">
                        <button class="btn btn-outline-primary float-right" type="submit">Back
                        </button>
                    </a>
                </div>
            </div>
            <div class="card" id="printableArea">
                <div class="card-body">

                    <h6 class="card-title mb-1 text-center font-size-20">Purchase Invoice</h6>
                    <br>



                    <div class="row border1">
                        <?php if(!empty(($companyLogo = auth()->user()->company_logo))): ?>
                            <div class="col-md-2 d-flex align-items-center justify-content-center">
                                <img src="<?php echo e(asset('storage/app/public/' . $companyLogo)); ?>" class="img-fluid"
                                    alt="logo" width="180px">
                            </div>
                        <?php else: ?>
                            <div class="col-md-2 d-flex align-items-center justify-content-center">
                                <img src="<?php echo e(asset('assets/images/acp-logo.png')); ?>" class="img-fluid" alt="logo"
                                    width="180px">
                            </div>
                        <?php endif; ?>
                        <div class="col-md-6">
                            <div class="row border1">
                                <div class="pading1">
                                    <div class="col-md-12 ">
                                        <span><?php echo e($company->name); ?></span>
                                    </div>
                                    <div class="col-md-12 ">
                                        <span><?php echo e($company->country); ?></span>
                                    </div>
                                    <div class="col-md-12">
                                        <label>Cr Number :</label>
                                        <span><?php echo e($company->cr_number); ?></span>
                                    </div>
                                    <div class="col-md-12">
                                        <label>VAT Number :</label>
                                        <span><?php echo e($company->vat_number); ?></span>
                                    </div>

                                    <div class="col-md-12">
                                        <span><?php echo e(session()->get('branch')->address); ?></span>
                                    </div>
                                </div>
                            </div>

                            <div class="row border1">
                                <div class="pading1">
                                    <div class="col-md-12">
                                        <h5>Buyer</h5>
                                    </div>
                                    <?php if($purchaseInvoice[0]->buyer != null): ?>
                                        <div class="col-md-12">
                                            

                                            <span><?php echo e($purchaseInvoice[0]->account->account_name ?? 'No Record Found'); ?></span>
                                        </div>
                                        <div class="col-md-12">
                                            <label>Email :</label>
                                            <span><?php echo e($purchaseInvoice[0]->buyer->email ?? 'No Record Found'); ?></span>
                                        </div>
                                        <div class="col-md-12">
                                            <label>Contact Person Name :</label>
                                            <span><?php echo e($purchaseInvoice[0]->buyer->name ?? 'No Record Found'); ?></span>
                                        </div>
                                        <div class="col-md-12">
                                            <label>Contact Number :</label>
                                            <span><?php echo e($purchaseInvoice[0]->buyer->phone ?? 'No Record Found'); ?></span>
                                        </div>
                                        <div class="col-md-12">
                                            <label>VAT Number :</label>
                                            <span><?php echo e($purchaseInvoice[0]->buyer->vat_number ?? 'No Record Found'); ?></span>
                                        </div>
                                    <?php else: ?>
                                        <div>
                                            <span><?php echo e($purchaseInvoice[0]->account->name_of_organisation ?? ($purchaseInvoice[0]->account->account_name ?? $purchaseInvoice[0]->account->first_name . ' ' . $purchaseInvoice[0]->account->last_name)); ?></span>
                                        </div>
                                        <div class="col-md-12">
                                            <label>Email :</label>
                                            <span><?php echo e($purchaseInvoice[0]->account->email ?? 'No Record Found'); ?></span>
                                        </div>
                                        <div class="col-md-12">
                                            <label>Contact Person Name :</label>
                                            <span><?php echo e($purchaseInvoice[0]->account->contact_person_name ?? 'No Record Found'); ?></span>
                                        </div>
                                        <div class="col-md-12">
                                            <label>Contact Number :</label>
                                            <span><?php echo e($purchaseInvoice[0]->account->mobile ?? 'No Record Found'); ?></span>
                                        </div>
                                        <div class="col-md-12">
                                            <label>VAT Number :</label>
                                            <span><?php echo e($purchaseInvoice[0]->account->vat_number ?? 'No Record Found'); ?></span>
                                        </div>
                                    <?php endif; ?>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="row border1">
                                <div class="pading1">
                                    <div class="col-md-12">
                                        <label>Purchase Invoice # :</label>
                                        <span><?php echo e($purchaseInvoice[0]->invoice_no); ?></span>
                                    </div>
                                    <div class="col-md-12">
                                        <label>Mode/Term of Payment :</label>
                                        <span><?php echo e($purchaseInvoice[0]->term_of_payment); ?></span>
                                    </div>

                                    <div class="col-md-12">
                                        <label>Date :</label>
                                        <span><?php echo e($purchaseInvoice[0]->date); ?></span>
                                    </div>
                                    <div class="col-md-12">
                                        <label>LPO Number(Supplier) :</label>
                                        <span><?php echo e($purchaseInvoice[0]->lpo_no); ?></span>
                                    </div>

                                    <div class="col-md-12">
                                        <label>Purchase Order Number :</label>
                                        <span><?php echo e($purchaseInvoice[0]->po_no ?? ''); ?></span>
                                    </div>
                                    <div class="col-md-12">
                                        <label>LPO(DUE DAYS) :</label>
                                        <span><?php echo e($purchaseInvoice[0]->lpo_days); ?></span>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <br>

                    <div class="row">
                        <div class="table-responsive mb-0" data-pattern="priority-columns">
                            <table class="table table-bordered dt-responsive nowrap"
                                style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                <thead>
                                    <tr>
                                        <th>S No.</th>
                                        <th>Item Name</th>
                                        <th>Item Description</th>
                                        <th>Quantity</th>
                                        <th>Rate/Unit</th>
                                        <th>Gross Amount</th>
                                        <th>VAT %</th>
                                        <th>VAT Ammount</th>
                                        <th>Net Ammount</th>
                                        <th>C&F <span id="total-cf-th"></span></th>
                                    </tr>
                                </thead>

                                <tbody id="table-body">
                                    <?php $__empty_1 = true; $__currentLoopData = $purchaseInvoice; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$pr): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                        <tr>
                                            <td><?php echo e($key + 1); ?></td>
                                            <td>
                                                <p><?php echo e($pr->item->name ?? ''); ?></p>
                                            </td>
                                            <td>
                                                <p><?php echo e($pr->item_description); ?></p>
                                            </td>
                                            <td>
                                                <p><?php echo e($pr->quantity); ?></p>
                                            </td>
                                            <td>
                                                <p><?php echo e($pr->rate_unit); ?></p>
                                            </td>
                                            <td>
                                                <p><?php echo e($pr->gross_amount); ?></p>
                                            </td>
                                            <td>
                                                <p><?php echo e($pr->vat_percentage); ?></p>
                                            </td>
                                            <td>
                                                <p><?php echo e($pr->vat_amount); ?></p>
                                            </td>
                                            <td>
                                                <p><?php echo e($pr->net_amount); ?></p>
                                            </td>
                                            <td>
                                                <p id="cf-amount"><?php echo e($pr->c_f); ?></p>
                                            </td>
                                        </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                    <?php endif; ?>
                                    <tr>
                                        <td></td>
                                        <td>Grand Total</td>
                                        <td></td>
                                        <td><?php echo e($purchaseInvoice[0]->total_quantity); ?></td>
                                        <td></td>
                                        <td><?php echo e($purchaseInvoice[0]->total_gross_amount); ?></td>
                                        <td></td>
                                        <td><?php echo e($purchaseInvoice[0]->total_vat_amount); ?></td>
                                        <td><?php echo e($purchaseInvoice[0]->total_net_amount); ?></td>
                                        <td><span id="cf-total"></span></td>
                                    </tr>
                                    <?php $__empty_1 = true; $__currentLoopData = $purchaseInvoice; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $pr): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                        <?php $__empty_2 = true; $__currentLoopData = $pr->expenses; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $expense): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_2 = false; ?>
                                            
                                            <tr>
                                                <td></td>
                                                <td>
                                                    <span><?php echo e($expense->expense->name_of_organisation ?? ($expense->expense->account_name ?? $expense->expense->first_name . ' ' . $expense->expense->last_name)); ?></span>
                                                </td>
                                                <td></td>
                                                <td></td>
                                                <td></td>
                                                <td></td>
                                                <td></td>
                                                <td></td>
                                                <td id="cf"><?php echo e($expense->expense_amount); ?></td>
                                            </tr>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_2): ?>
                                        <?php endif; ?>

                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                    <?php endif; ?>
                                    <tr>
                                        <td></td>
                                        <td>New Vat Amount</td>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                        <td id="new-vat-amount"><?php echo e($purchaseInvoice[0]->new_vat_amount??(NULL)); ?></td>
                                    </tr>
                                    <tr>
                                        <td></td>
                                        <td>Total Amount</td>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                        <td id="grand-total"></td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                    <br>


                    <div class="row">

                        <div class="col-md-4">
                            <label>Amount in Words:</label>
                            <span id="total_net_amount_words"></span>
                        </div>


                    </div>

                    <br>
                    <div class="table-responsive mb-0" data-pattern="priority-columns">
                        <table class="table table-bordered dt-responsive nowrap max-width">
                            <tr>
                                <td>
                                    <label>Term & Conditions</label>
                                    <p class=""><?php echo e($tnc->description ?? ''); ?></p>
                                </td>
                                <td>
                                    <label>Narrations</label>
                                    <p><?php echo e($purchaseInvoice[0]->narrations); ?></p>
                                </td>
                            </tr>
                        </table>
                    </div>

                </div>
            </div>
        </div>
    </div>
    </div>
    <!-- end row -->

    <script>
        function printPageArea(areaID) {
            var printContent = document.getElementById(areaID).innerHTML;
            var originalContent = document.body.innerHTML;
            document.body.innerHTML = printContent;
            window.print();
            document.body.innerHTML = originalContent;
        }
    </script>

    <script>
        document.addEventListener("DOMContentLoaded", function() {
            // Calculate the grand total and update the element
            const totalGrossAmount = <?php echo e($purchaseInvoice[0]->total_gross_amount); ?>;
            const totalVatAmount = <?php echo e($purchaseInvoice[0]->new_vat_amount?$purchaseInvoice[0]->new_vat_amount: $purchaseInvoice[0]->total_vat_amount); ?>;
            const totalNetAmount = <?php echo e($purchaseInvoice[0]->total_net_amount); ?>;

            let totalExpenseAmount = 0;
            <?php $__currentLoopData = $purchaseInvoice; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $pr): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <?php $__currentLoopData = $pr->expenses; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $expense): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    totalExpenseAmount += <?php echo e($expense->expense_amount); ?>;
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

            const grandTotal = totalGrossAmount + totalVatAmount + totalNetAmount + totalExpenseAmount;
            const roundedGrandTotal = grandTotal.toFixed(2);
            document.getElementById("grand-total").textContent = roundedGrandTotal;

            // Convert total net amount to words and update the corresponding field
            var totalNetAmountWords = numberToWords(roundedGrandTotal);
            $('#total_net_amount_words').text(totalNetAmountWords);

            /////
            let totalCF = 0;

            // Loop through the purchase invoice items to calculate C&F expenses
            <?php $__currentLoopData = $purchaseInvoice; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $pr): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <?php $__currentLoopData = $pr->expenses; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $expense): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    // Add the expense amount to the total
                    totalCF += <?php echo e($expense->expense_amount); ?>;
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

            // Display the total C&F expenses in the table cell with the ID "total-cf-th"
            document.getElementById("total-cf-th").textContent = "(" + totalCF + ")";

            ////
            /////
            let cf = 0;

            // Loop through the purchase invoice items to calculate C&F expenses
            <?php $__currentLoopData = $purchaseInvoice; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $pr): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                // Add the expense amount to the total
                cf += <?php echo e($pr->c_f); ?>;
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

            // Display the total C&F expenses in the table cell with the ID "total-cf-th"
            document.getElementById("cf-total").textContent = "(" + cf + ")";
        });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.crusher', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH F:\xampp 7.4\htdocs\acp\resources\views/crusher/trans_purchase_invoice/view.blade.php ENDPATH**/ ?>