@extends('layouts.master_user_without_nav')
@section('css')
<style>
    .vcenter {
        margin-left: 38px;
    }

    h2 {
        text-align: center;
        margin-bottom: 20px;
    }
    .top{
        margin-top: 40px;
    }
    .top1{
        margin-top: 20px;
        margin-bottom: 20px
    }


</style>
@endsection
@section('content')
<div class=" container wrapper wrapper-content animated fadeInRight">
    {{-- <div class="row" style="margin-bottom: 20px;">
        <a href="/" class="btn btn-primary">Go Back</a>
    </div> --}}
    <div class="row gray-bg">
        <h2><strong>Users and Privileges Master </strong></h2>
    </div>
    <div class="row top1">
        <div class="col-md-12">
            @include('errors.list')
        </div>
    </div>
    {{-- <div class="row top1">
        <div class="col-md-12">
            <h3 class="col-md-4"><strong>Change User Password</strong></h3>
        </div>
    </div> --}}
    <div class="row">
        <div class="col-md-4">
            <form method="POST" action="/main-menu/users-and-privileges/limited-user/change-password">
                @csrf
                <div class="form-group">
                    <label for="email-super-user">Email</label>
                    <input id="email" type="email" placeholder="Enter E-Mail Address" value="{{$user->email}}" class="form-control @error('email') is-invalid @enderror" name="email" value="" readonly>
                </div>
                <div class="form-group">
                    <label for="password-super-user">Enter New Password</label>
                    <input id="password" type="password" placeholder="Enter Password" class="form-control @error('password') is-invalid @enderror" name="password" required>
                </div>
                <div class="form-group">
                    <label for="password-super-user">Confirm New Password</label>
                    <input id="confirm-password" type="password" placeholder="Enter Confirm Password" class="form-control @error('confirm-password') is-invalid @enderror" name="confirm-password" required>
                </div>
                <input type="hidden" name="id" value="{{$user->id}}">
                <button type="submit" class="btn btn-primary block full-width m-b">Change User Password</button>
            </form>
        </div>
    </div>
</div>
@endsection

@section('js')
<script>
</script>
@endsection
