<!DOCTYPE html>
<html>
<head>
<style>
table {
  font-family: arial, sans-serif;
  border-collapse: collapse;
  width: 100%;
}

td, th {
  border: 1px solid #dddddd;
  text-align: left;
  padding: 8px;
}

tr:nth-child(even) {
  background-color: #dddddd;
}
</style>
</head>
<body>

<h2>Group Summary</h2>
<h4>{{\Carbon\Carbon::parse($from_date)->format('d-m-Y')}} to {{\Carbon\Carbon::parse($to_date)->format('d-m-Y')}}</h4>
<table>
  <tr>
    <th>Particulars</th>
    <th>Debit</th>
    <th>Credit</th>
  </tr>
  @foreach ($accounts as $key => $account)
    @if ($accounts[$key] != "")
        @if ( ($accounts[$key]->account_master->date >= $from_date)  && ($accounts[$key]->account_master->date <= $to_date) )
            <tr>

                <td>{{$accounts[$key]->voucher_type}}# {{$accounts[$key]->voucher_no}}</td>
                <td>{{ number_format($accounts[$key]->debit, $decimal, '.', '') }}</td>
                <td>{{ number_format($accounts[$key]->credit, $decimal, '.', '') }}</td>
            </tr>
        @endif
    @endif

  @endforeach

</table>

</body>
</html>
