@extends('layouts.master_user')
@section('page-title')
Sales Man Report
@endsection
@section('css')
<style>

    .display-none {
        display: none;
    }
    .display-min{
        width:280px;
    }
    th{
        text-align: center;
    }


</style>

@endsection
@section('reports')
active
@endsection
@section('salesman-report')
active
@endsection

@section('content')

@section('page-breadcrumb')
{{-- <li>
    <a href="{{url('/')}}">Dashboard</a>
</li>
<li class="active">
    <strong>Ledger Report</strong>
</li> --}}
@endsection

<div class="wrapper wrapper-content animated fadeInRight">

    @include('errors.list')

    <div class="ibox float-e-margins">
        {{-- <div class="ibox-title">
            <h5>Expense</h5>
            <div class="ibox-tools">
                <a class="collapse-link">
                    <i class="fa fa-chevron-up"></i>
                </a>
            </div>
        </div> --}}

        <div class="ibox-content">
            <div><p><strong>Salesman Name</strong></p></div>
            <div class="row m-b-md top">
                <div class="col-sm-3">
                    <p><STrong>XYZ</STrong></p>
                </div>
                <div class="col-sm-9">
                    <div class="form-group pull-right">
                        <button class="btn btn-secondary " type="button"><i class="fa fa fa-print"></i>&nbsp;&nbsp;<span
                                class="bold">Print</span></button>
                        <button class="btn btn-secondary " type="button"><i class="fa fa-file-pdf-o"></i> PDF Format</button>
                        <button class="btn btn-secondary " type="button"><i class="fa fa fa-envelope"></i>&nbsp;&nbsp;Email (PDF
                            Format)</button>
                            <button type="button" class="btn" id="customer_info_btn"><i
                                class="fa fa-info"></i></button>
                        <div id="customer_info" class="display-none">
                            <p>Contact Person Name: Test</p>
                            <p>Contact #:1234567</p>
                            <p>WhatsApp:1234567</p>
                            <p>Email:test@gmail.com</p>
                            <p>Address: House# , street#, City, Country</p>
                        </div>
                    </div>
                </div>
            </div>
            <table class="table table-bordered table-hover">
                <thead>
                  <tr>
                    <th>Date</th>
                    <th colspan="2">Sales</th>
                    <th colspan="2">Credit Note / Sales Return</th>
                    <th>Commission</th>
                    <th>Paid</th>
                    <th>To Pay</th>
                  </tr>
                </thead>
                <tbody>
                    <tr>
                        <th></th>
                        <th>Invoice Number</th>
                        <th>Net Amount</th>
                        <th>Invoice Number</th>
                        <th>Net Amount</th>
                        <th></th>
                        <th></th>
                        <th></th>
                    </tr>
                  <tr>
                    <td>22/10/2020</td>
                    <td>SAL INV #123456</td>
                    <td><p><strong>Rs:5000</strong></p></td>
                    <td>SAL INV #123456</td>
                    <td><p><strong>Rs:5000</strong></p></td>
                    <td><p><strong>500</strong></p></td>
                    <td><p><strong>Paid</strong></p></td>
                    <th></th>

                  </tr>
                  <tr>
                        <td>22/10/2020</td>
                        <td>SAL INV #123456</td>
                        <td><p><strong>Rs:5000</strong></p></td>
                        <td>SAL INV #123456</td>
                        <td><p><strong>Rs:5000</strong></p></td>
                        <td><p><strong>500</strong></p></td>
                        <th></th>
                        <td><button type="button" class="btn btn-outline-primary">To Pay</button></td>
                  </tr>
                  <tr>
                    <td>22/10/2020</td>
                    <td>SAL INV #123456</td>
                    <td><p><strong>Rs:5000</strong></p></td>
                    <td>SAL INV #123456</td>
                    <td><p><strong>Rs:5000</strong></p></td>
                    <td><p><strong>500</strong></p></td>
                    <td><p><strong>Paid</strong></p></td>
                    <th></th>
                  </tr>
                </tbody>
              </table>
              <div class="row">
                  <div class="col-sm-2 col-sm-offset-10">
                      <p><strong>Total Sales : 116.50</strong></p>
                  </div>
              </div>
              <div class="row">
                <div class="col-sm-2 col-sm-offset-10">
                    <p><strong>Total Credit Note : 116.50</strong></p>
                </div>
            </div>
            <div class="row">
                <div class="col-sm-2 col-sm-offset-10">
                    <p><strong>Total Commission: 116.50</strong></p>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

@section('js')
<script>
    $(document).ready(function() {
        $('.input-group.date').datepicker({
            startView: 1,
            todayBtn: "linked",
            keyboardNavigation: false,
            forceParse: false,
            autoclose: true,
            format: "dd/mm/yyyy"
        }).datepicker('setDate',new Date());
    });
            function showLedgerAccount(){
                var select_status=$('#ledger_account_class_id').val();

                if(select_status=='account'){
                    $('#account_class').show();
                    $('#select').hide();
                }
                else{
                    $('#account_class').hide();
                    $('#select').show();


                }
            }
    $(document).ready(function () {
    $("#customer_info_btn").click(function () {
    $("#customer_info").toggle();
    });
});
</script>
@endsection
