<!DOCTYPE html>
<html>
<head>
<style>
table {
  font-family: arial, sans-serif;
  border-collapse: collapse;
  width: 100%;
}

td, th {
  border: 1px solid #dddddd;
  text-align: left;
  padding: 8px;
}

tr:nth-child(even) {
  background-color: #dddddd;
}
</style>
</head>
<body>

<h2>Trial Balance Report</h2>
<h4>{{\Carbon\Carbon::parse($from_date)->format('d-m-Y')}} to {{\Carbon\Carbon::parse($to_date)->format('d-m-Y')}}</h4>


<table>
    
    <tr>
        <th>Particulars</th>
        <th>Debit</th>
        <th>Credit</th>
    </tr>
    @foreach ($trial_balance_debit_credit as $trial_balance)
      <tr>
          <td>{{ $trial_balance['class_of_account'] }}</td>
          <td>{{ $trial_balance['debit_decimal'] }}</td>
          <td>{{ $trial_balance['credit_decimal'] }}</td>
      </tr>
    @endforeach
  </table>

</body>
</html>
