
<?php $__env->startSection('content'); ?>
    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="card-title mb-4 titlcust">Purchase Invoice</h6>
                        </div>
                        <div class="col-md-6">
                            <a href="<?php echo e(route('crusher.purchase_invoices.create')); ?> ">
                                <button class="btn btn-cust1 float-right" type="submit">Create Purchase Invoice
                                </button>
                            </a>
                        </div>
                    </div>
                    <div class="table-responsive mb-0" data-pattern="priority-columns">
                        <table id="datatable" class="table table-bordered dt-responsive nowrap"
                            style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                            <thead>
                                <tr>
                                    <th>Date</th>
                                    <th>Purchase Voucher Number</th>
                                    <th>Amount</th>
                                    <th>Action</th>
                                </tr>
                            </thead>

                            <tbody>
                                <?php $__empty_1 = true; $__currentLoopData = $purchaseInvoices; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $pi): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                    
                                    <tr>
                                        <td><?php echo e($pi->date); ?></td>
                                        <td><?php echo e($pi->invoice_no); ?></td>
                                        <td><?php echo e($pi->total_net_amount); ?></td>
                                        <td>
                                            <a
                                                href="<?php echo e(route('crusher.purchase_invoices.show', ['purchase_invoice' => $pi->id])); ?>">
                                                <i class="far fa-eye cust-icon2"></i></a>
                                            <?php if(!$pi->trashed()): ?>
                                                <a
                                                    href="<?php echo e(route('crusher.purchase_invoices.edit', ['purchase_invoice' => $pi->id])); ?>">
                                                    <i class="far fa-edit cust-icon2"></i></a>

                                                <form
                                                    action="<?php echo e(route('crusher.purchase_invoices.delete', ['purchase_invoice' => $pi->id])); ?>"
                                                    method="POST" class="d-inline">
                                                    <?php echo csrf_field(); ?>
                                                    <?php echo method_field('DELETE'); ?>
                                                    <button onclick="return confirm('Sure want to delete?')" type="submit"
                                                        class="btn btn-link p-0 m-0 text-danger">
                                                        <i class="far fa-window-close cust-icon2"></i>
                                                    </button>
                                                </form>
                                            <?php else: ?>
                                                <span class="text-danger">Deleted</span>
                                            <?php endif; ?>
                                            
                                            </a>
                                        </td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                <?php endif; ?>
                            </tbody>
                        </table>
                    </div>

                </div>
            </div>
        </div>
    </div>
    </div>
    <!-- end row -->
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.crusher', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\Xampp\htdocs\acp v2\acp\resources\views/crusher/trans_purchase_invoice/index.blade.php ENDPATH**/ ?>